## burp 1.3.1

=== test/Makefile ===
RM = /bin/rm
RMF = $(RM) -rf

clean:
	@$(RMF) build
	@$(RMF) logs
	@$(RMF) restore*
	@$(RMF) target

test:
	./run_test

=== src/win32/Makefile ===
ECHO_CMD=@

DIRS=	lib \
	burp

ifeq ($(WIN64),yes)
  INSTALLER=installer64
else
  INSTALLER=installer32
endif

.PHONY: $(DIRS) $(INSTALLER) clean all Makefile.inc

all: Makefile.inc $(DIRS) $(INSTALLER)


clean: $(DIRS)
	$(ECHO_CMD)-rm -f Makefile.inc
	$(ECHO_CMD)-rm -rf release32 release64 
	$(ECHO_CMD)-rm -rf installer32 installer64

installer32:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi

installer64:
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi


$(DIRS):
	@if test -f Makefile.inc; then \
	   if $(MAKE) -C $@ $(MAKECMDGOALS); then \
		echo "\n===== Make of $@ succeeded =====\n\n" ; \
	   else  \
		echo "\n!!!!! Make of $@ failed !!!!!\n\n" ; \
	   fi ; \
	fi

Makefile.inc:
	@echo Creating $@
	$(ECHO_CMD)TOPDIR=`(cd ../..;pwd)`; \
	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
	ln -sfT ../burp-cross-tools ../../burp-cross-tools ; \
	ln -sfT ../burp-depkgs ../../burp-depkgs ; \
	if test "$(WIN64)" = yes -a -e $${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin/x86_64-w64-mingw32-gcc; then \
		BINDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin; \
		INCDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/x86_64-w64-mingw32/include; \
		DLLDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/x86_64-w64-mingw32/lib; \
		DEPKGSDIR=burp-depkgs/mingw-w64-x86_64; \
		MINGW_PREFIX=x86_64-w64-mingw32-; \
		BITS=64 ; \
	elif test -e $${TOPDIR}/burp-cross-tools/mingw-w64-i686/bin/i686-w64-mingw32-gcc; then \
		BINDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/bin; \
		INCDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/i686-w64-mingw32/include; \
		DLLDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-i686/i686-w64-mingw32/lib; \
		DEPKGSDIR=burp-depkgs/mingw-w64-i686; \
		MINGW_PREFIX=i686-w64-mingw32-; \
		BITS=32 ; \
	else \
		echo "\nThe GCC cross compiler isn't installed."; \
		echo "You must run build-win32-cross-tools and build-dependencies first.\n"; \
		exit 1; \
	fi ; \
	BUILDDIR=`(pwd)`; \
	MAINDIR=`(cd ../..;pwd)`; \
	sed \
		-e "s^@WIN64@^$${WIN64}^g" \
		-e "s^@DEPKGS@^$${DEPKGSDIR}^g" \
		-e "s^@BUILDDIR@^$${BUILDDIR}^g" \
		-e "s^@MAINDIR@^$${MAINDIR}^g" \
		-e "s^@TOPDIR@^$${TOPDIR}^g" \
		-e "s^@BINDIR@^$${BINDIR}^g" \
		-e "s^@INCDIR@^$${INCDIR}^g" \
		-e "s^@MINGW_PREFIX@^$${MINGW_PREFIX}^g" \
		-e "s^@DLLDIR@^$${DLLDIR}^g" < Makefile.inc.in > $@ ; \
	mkdir -vp installer$${BITS} ; \
	sed \
		-e "s^@BITS@^$${BITS}^g" \
		< Makefile.installer.in > installer$${BITS}/Makefile

=== src/win32/burp/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	-I. \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_ICONS)

DEFINES = \
	-DUSING_DLL \
	-DWIN32_VSS \
	-DWINVER=0x500 \
	$(HAVES)

vpath %.c $(MAINDIR)/src $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src $(BUILDDIR)/libwin32

##########################################################################

FILED_OBJS = \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/asyncio.o \
	$(OBJDIR)/attribs.o \
	$(OBJDIR)/auth_client.o \
	$(OBJDIR)/autoupgrade_client.o \
	$(OBJDIR)/backup_phase1_client.o \
	$(OBJDIR)/backup_phase2_client.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bfile.o \
	$(OBJDIR)/client.o \
	$(OBJDIR)/client_vss.o \
	$(OBJDIR)/conf.o \
	$(OBJDIR)/counter.o \
	$(OBJDIR)/extrameta.o \
	$(OBJDIR)/find.o \
	$(OBJDIR)/forkchild.o \
	$(OBJDIR)/incexc_recv_server.o \
	$(OBJDIR)/incexc_send_client.o \
	$(OBJDIR)/list_client.o \
	$(OBJDIR)/handy.o \
	$(OBJDIR)/lock.o \
	$(OBJDIR)/log.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/msg.o \
	$(OBJDIR)/prog.o \
	$(OBJDIR)/restore_client.o \
	$(OBJDIR)/rs_buf.o \
	$(OBJDIR)/sbuf.o \
	$(OBJDIR)/ssl.o \
	$(OBJDIR)/strlist.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o \
	$(OBJDIR)/zlibio.o \
	$(OBJDIR)/burp.res

ALL_OBJS = $(FILED_OBJS)

FILED_LIBS = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	$(LIBS_RSYNC) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/burp.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/burp.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules
#

$(BINDIR)/burp.exe: $(FILED_OBJS) $(LIBS_BURP)
	$(call link_conapp,$(FILED_LIBS))

$(OBJDIR)/winres.res: ../libwin32/winres.rc
	@echo "Compiling $(WINDRES) $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@

include ../Makefile.rules

=== debian/changelog ===
burp (1.3.1-1) unstable; urgency=medium

  * New upstream release version 1.3.1
    -fixes respect noopt in DEB_BUILD_OPTIONS. (Closes: #661281)
  * Switched to Standards-Version 3.9.3 Debian bug: (Closes: #661001)
  * Fixed typo in logrotate script Debian bug: (Closes: #660964)
  * added debug package Debian bug: (Closes: #661267)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Mon, 27 Feb 2012 17:01:35 +0100

burp (1.3.0+20120214git-1) unstable; urgency=low

  * Compilation bug solved for in farm (Closes: #659692)
  * New upstream release from GIT branch 1.3.1 on advise of author
  * Add 'exclude_fs =' option for Linux so that you can skip partitions
    types (for example, tmpfs) without generating warnings.
  * If recovery method 'resume' is set, but the includes/excludes change,
    switch to 'use', then start a new backup.
  * In the tests, check to see whether it looks like the server has finished
    the backup before moving on, rather than just waiting a set
    amount of time.(Closes: #659462)
  * Add man pages for bedup and burp_ca.
  * Remove embedded uthash code. It will need to be installed
    as a dependency. (Closes: #659454)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Tue, 14 Feb 2012 15:47:01 +0100

burp (1.3.0-3) unstable; urgency=low

  * Forgot to add 1 patch

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sun, 12 Feb 2012 14:50:29 +0100

burp (1.3.0-2) unstable; urgency=low

  * added forwarded header to patches
  * removed changelog entries from patches
  * removed debian/README (Closes: #659453)
  * removed blank MAILTO header in cronjob and
    redirected output to /var/log/burp-client (Closes: #659452)
  * added extra logrotate for /var/log/burp-client
  * changed /var/run to /run (Closes: #659464)
  * thanks to Justin B Rye from debian-l10n-english team for
    helping with linguistic support

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sat, 11 Feb 2012 23:48:03 +0100

burp (1.3.0-1) unstable; urgency=low

  * changed file permissions in rules file
  * removed empty todo and readme
  * fixed a typo in the control file
  * override_dh_auto_configure restore is necessary to run
    ./configure without any options
    the configure files places the files in the correct
    directory for a Debian build
  * added watch file
  * made patch to move PID file
  * fixed lintian errors
  * corrected the Copyright file
  * initial release (Closes: #658152)
  * switched to 3.0 (quilt)
  * made lintian override file for file permissions
  * added man pages for bedup and burp_ca


 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Fri, 10 Feb 2012 17:14:13 +0100

## burp 1.3.8

=== autoconf/gnome-macros/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/burp
pkglibdir = $(libdir)/burp
pkgincludedir = $(includedir)/burp

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
DATADIRNAME = share
GENCAT = 
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNOME_APPLETS_LIBS = 
GNOME_CAPPLET_LIBS = 
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS = 
GNOME_INCLUDEDIR = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GNORBA_CFLAGS = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
GTKXMHTML_LIBS = -rdynamic -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
GT_NO = 
GT_YES = #YES#
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = .mo
INTLDEPS = 
INTLLIBS = 
INTLOBJS = 
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
ORBIT_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm
PACKAGE = burp
POFILES = 
POSUB = po
PTHREAD_LIB = -lpthread
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.1
XPM_LIBS = -lXpm
ZVT_LIBS = -rdynamic -lzvt -lutil -lSM -lICE -lgdk_imlib -lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
cflags_set = yes
cxxflags_set = @cxxflags_set@
l = 

MACROS =    aclocal-include.m4				  compiler-flags.m4				  curses.m4					  gnome-bonobo-check.m4				  gnome-fileutils.m4				  gnome-ghttp-check.m4				  gnome-gnorba-check.m4				  gnome-guile-checks.m4				  gnome-libgtop-check.m4			  gnome-objc-checks.m4				  gnome-orbit-check.m4				  gnome-print-check.m4				  gnome-pthread-check.m4			  gnome-support.m4				  gnome-undelfs.m4				  gnome-vfs.m4					  gnome-x-checks.m4				  gnome-xml-check.m4				  gnome.m4					  gperf-check.m4				  linger.m4					  need-declaration.m4				


EXTRA_DIST = $(MACROS) gnome-common.m4 gnome-gettext.m4 autogen.sh
MAINTAINERCLEANFILES = macros.dep

#gnome_aclocaldir = $(datadir)/aclocal/gnome-macros

#gnome_aclocal_DATA = $(MACROS) gnome-macros.dep gnome-common.m4 	gnome-gettext.m4 autogen.sh
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DATA =  $(gnome_aclocal_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu macros/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-gnome_aclocalDATA: $(gnome_aclocal_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gnome_aclocaldir)
	@list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	  fi; fi; \
	done

uninstall-gnome_aclocalDATA:
	@$(NORMAL_UNINSTALL)
	list='$(gnome_aclocal_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(gnome_aclocaldir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = macros

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu macros/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-gnome_aclocalDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-gnome_aclocalDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(gnome_aclocaldir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-gnome_aclocalDATA install-gnome_aclocalDATA tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


macros.dep: Makefile.am
	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=macros/%)' > $@

#gnome-macros.dep: Makefile.am
#	@echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=$(gnome_aclocaldir)/%)' > $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	$(OBJDIR)/base64.o \
 	$(OBJDIR)/berrno.o \
 	$(OBJDIR)/bfile.o \
+	$(OBJDIR)/ca_client.o \
 	$(OBJDIR)/client.o \
 	$(OBJDIR)/client_vss.o \
 	$(OBJDIR)/conf.o \
@@ -44,14 +45,15 @@
 	$(OBJDIR)/extrameta.o \
 	$(OBJDIR)/find.o \
 	$(OBJDIR)/forkchild.o \
-	$(OBJDIR)/incexc_recv_server.o \
-	$(OBJDIR)/incexc_send_client.o \
+	$(OBJDIR)/incexc_recv.o \
+	$(OBJDIR)/incexc_send.o \
 	$(OBJDIR)/list_client.o \
 	$(OBJDIR)/handy.o \
 	$(OBJDIR)/lock.o \
 	$(OBJDIR)/log.o \
 	$(OBJDIR)/main.o \
 	$(OBJDIR)/msg.o \
+	$(OBJDIR)/prepend.o \
 	$(OBJDIR)/prog.o \
 	$(OBJDIR)/restore_client.o \
 	$(OBJDIR)/rs_buf.o \
@@ -84,7 +86,7 @@
 
 .PHONY: all clean
 
-all: $(BINDIR)/burp.exe
+all: $(BINDIR)/burp.exe $(BINDIR)/burp_ca.bat
 
 clean:
 	@echo "Cleaning `pwd`"
@@ -99,6 +101,9 @@
 $(BINDIR)/burp.exe: $(FILED_OBJS) $(LIBS_BURP)
 	$(call link_conapp,$(FILED_LIBS))
 
+$(BINDIR)/burp_ca.bat:
+	cp $(MAINDIR)/configs/certs/CA/burp_ca.bat $(BINDIR)
+
 $(OBJDIR)/winres.res: ../libwin32/winres.rc
 	@echo "Compiling $(WINDRES) $@"
 	$(call checkdir,$@)

=== debian/changelog ===
burp (1.3.8-1) unstable; urgency=low

  * New upstream release version 1.3.8

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Fri, 08 Jun 2012 10:49:18 +0200

burp (1.3.6-3) unstable; urgency=low

  * Adjusted build dependensy for hppa and powerpcspe

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Thu, 31 May 2012 10:57:15 +0200

burp (1.3.6-2) unstable; urgency=low

  * Fixed unescaped - signes in man pages

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Wed, 30 May 2012 21:09:49 +0200

burp (1.3.6-1) unstable; urgency=low

  * New upstream release version 1.3.6
  * Removed unneeded Lintian Overides
  * Update copyrights file to new standard

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Tue, 29 May 2012 13:29:44 +0200

burp (1.3.4-2) unstable; urgency=low

  * Fixes building isues with hppa and powerpcspe and sparc64
    Changed debhelper version to (>= 8)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Fri, 04 May 2012 11:57:30 +0200

burp (1.3.4-1) unstable; urgency=low

  * New upstream release version 1.3.3
  * Fixed make error during build process
  * Fixed compression directive not fully functional only numeric value
    allowed Debian bug: (Closes: #665843)
  * Fix "Build of version 1.3.2 failing"  (Closes: #669107)
  * Tidy up "Raw partition" (Closes: #670598)
  * Prevent client from browsing backups (Closes: #670599)
  * Prevent client from running a restore (Closes: #670600)
  * Fix "Document or implement ability to prevent *client* from initiating
     manual backup (Closes: #670601)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sat, 28 Apr 2012 09:22:05 +0200

burp (1.3.1-1) unstable; urgency=low

  * New upstream release version 1.3.1
  * Switched to Standards-Version 3.9.3 Debian bug: (Closes: #661001)
  * respect noopt in DEB_BUILD_OPTIONS. Debian bug: (Closes: #661281)
  * Fixed typo in logrotate script Debian bug: (Closes: #660964)
  * added debug package Debian bug: (Closes: #661267)
  * Add 'exclude_fs =' option for Linux so that you can skip partitions
    types (for example, tmpfs) without generating warnings.
  * If recovery method 'resume' is set, but the includes/excludes change,
    switch to 'use', then start a new backup.
  * In the tests, check to see whether it looks like the server has finished
    the backup before moving on, rather than just waiting a set amount of time.
  * Remove embedded uthash code. It will need to be installed as a dependency.
    For example, in Debian, you might run 'apt-get install uthash-dev'.
  * Add Bas van den Dikkenberg's tweaks for getting burp into official Debian
    and Ubuntu repositories. Burp is now in debian sid and ubuntu precise.
  * Make the server tell the client what extra_comms features it supports, so
    that, in future, old servers are more likely to work with new clients.
  * Improve 'make clean'.
  * Add option to strip off leading path components on restore.
  * Fix segfault that was happening on the server when SSL_accept() failed.
  * Move burp and bedup to /usr/sbin (you need to check that any cron jobs
    are pointing there too).
  * Moved list of things to do to https://github.com/grke/burp/issues

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Mon, 27 Feb 2012 15:34:17 +0100

burp (1.3.0) unstable; urgency=low

  * update to 1.3.0

 -- Graham Keeling <burp-users@lists.sourceforge.net> Fri, 27 January 2012 17:00:00 +0000

burp (1.2.7) unstable; urgency=low

  * update to 1.2.7

 -- Graham Keeling <burp-users@lists.sourceforge.net> Fri, 30 December 2011 22:00:00 +0000

burp (1.2.5) unstable; urgency=low

  * update to 1.2.5

 -- Graham Keeling <burp-users@lists.sourceforge.net> Sat, 26 November 2011 23:30:00 +0000

burp (1.2.4) unstable; urgency=low

  * update to 1.2.4

 -- Graham Keeling <burp-users@lists.sourceforge.net> Thu, 22 November 2011 20:00:00 +0000

burp (1.2.2) unstable; urgency=low

  * update to 1.2.2

 -- Graham Keeling <burp-users@lists.sourceforge.net> Thu, 29 September 2011 21:00:00 +0000

burp (1.2.0) unstable; urgency=low

  * update to 1.2.0

 -- Graham Keeling <burp-users@lists.sourceforge.net> Fri, 09 September 2011 20:20:00 +0000

burp (1.1.70) unstable; urgency=low

  * update to 1.1.70

 -- Graham Keeling <burp-users@lists.sourceforge.net> Tue, 26 July 2011 22:00:00 +0000

burp (1.1.65) unstable; urgency=low

  * update to 1.1.65

 -- Graham Keeling <burp-users@lists.sourceforge.net> Mon, 27 June 2011 21:40:00 +0000

burp (1.1.57) unstable; urgency=low

  * update to 1.1.57

 -- Graham Keeling <burp-users@lists.sourceforge.net> Tue, 06 June 2011 23:00:00 +0000

burp (1.1.55) unstable; urgency=low

  * update to 1.1.55

 -- Patrick Koppen <software@koppen.de> Sat, 14 May 2011 21:48:17 +0200

burp (1.1.51+git0) unstable; urgency=low

  * debian package

 -- Patrick Koppen <software@koppen.de> Mon, 09 May 2011 21:24:24 +0200

burp (1.1.51) unstable; urgency=low

  * Initial Release.

 -- Patrick Koppen <software@koppen.de> Mon, 09 May 2011 20:48:57 +0200

=== debian/control ===
Source: burp
Section: utils
Priority: extra
Maintainer: Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>
Build-Depends: debhelper (>= 8), autotools-dev, libncurses5-dev, libssl-dev, zlib1g-dev, librsync-dev, libacl1-dev, libattr1-dev, uthash-dev, openssl
Standards-Version: 3.9.3
Homepage: http://burp.grke.net/
Vcs-Git: git://github.com/grke/burp.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/burp.git;a=summary



Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync, and uses the Volume Snapshot Service when
 backing up Windows clients.

Package: burp-dbg
Architecture: any
Section: debug
Depends: burp (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Burp
 Burp is a client/server backup system that saves space and network
 usage by using librsync, and uses the Volume Snapshot Service when
 backing up Windows clients.
 .
 This package contains debugging symbols for burp.

## burp 1.3.48

=== test/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 	@$(RMF) logs
 	@$(RMF) restore*
 	@$(RMF) target
+	@$(RMF) build.tar.bz2
+	@$(RMF) clientscript
+	@$(RMF) serverscript
+	@$(RMF) windowsscript
 
 test:
-	./run_test
+	./test_self

=== src/win32/Makefile ===
--- 
+++ 
@@ -47,12 +47,27 @@
 	   fi ; \
 	fi
 
-Makefile.inc:
+../../burp-cross-tools:
+	$(ECHO_CMD)TOPDIR=`(cd ../..;pwd)`; \
+	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
+	TOOLSDIR=$${TOPDIR} ; \
+	while ! test -d $${TOOLSDIR}/burp-cross-tools \
+	  && ! test -h $${TOOLSDIR}/burp-cross-tools ; do \
+		TOOLSDIR=`dirname $${TOOLSDIR}` ; \
+		echo $${TOOLSDIR} ; \
+		if test $${TOOLSDIR} = '/' -o $${TOOLSDIR} = '.' ; then \
+			echo "\nCould not find burp-cross-tools." ; \
+			exit 1 ; \
+		fi ; \
+	done ; \
+	ln -vsfT $${TOOLSDIR}/burp-cross-tools ../../burp-cross-tools ; \
+	ln -vsfT $${TOOLSDIR}/burp-depkgs ../../burp-depkgs
+
+Makefile.inc: ../../burp-cross-tools
 	@echo Creating $@
 	$(ECHO_CMD)TOPDIR=`(cd ../..;pwd)`; \
 	TOPDIR=$${DEPKGS:-$${TOPDIR}}; \
-	ln -sfT ../burp-cross-tools ../../burp-cross-tools ; \
-	ln -sfT ../burp-depkgs ../../burp-depkgs ; \
+	TOOLSDIR=$${TOPDIR} ; \
 	if test "$(WIN64)" = yes -a -e $${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin/x86_64-w64-mingw32-gcc; then \
 		BINDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/bin; \
 		INCDIR=$${TOPDIR}/burp-cross-tools/mingw-w64-x86_64/x86_64-w64-mingw32/include; \
@@ -68,6 +83,7 @@
 		MINGW_PREFIX=i686-w64-mingw32-; \
 		BITS=32 ; \
 	else \
+		echo "$${TOPDIR}/burp-cross-tools" ; \
 		echo "\nThe GCC cross compiler isn't installed."; \
 		echo "You must run build-win32-cross-tools and build-dependencies first.\n"; \
 		exit 1; \

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	$(OBJDIR)/client_vss.o \
 	$(OBJDIR)/conf.o \
 	$(OBJDIR)/counter.o \
+	$(OBJDIR)/delete_client.o \
 	$(OBJDIR)/extrameta.o \
 	$(OBJDIR)/find.o \
 	$(OBJDIR)/forkchild.o \
@@ -55,6 +56,7 @@
 	$(OBJDIR)/msg.o \
 	$(OBJDIR)/prepend.o \
 	$(OBJDIR)/prog.o \
+	$(OBJDIR)/regexp.o \
 	$(OBJDIR)/restore_client.o \
 	$(OBJDIR)/rs_buf.o \
 	$(OBJDIR)/sbuf.o \
@@ -75,6 +77,7 @@
 	$(LIBS_ZLIB) \
 	$(LIBS_NETWORK) \
 	$(LIBS_RSYNC) \
+	$(LIBS_PCRE) \
 	-lole32 \
 	-loleaut32 \
 	-luuid \

=== src/win32/compat/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_GCC) \
	$(INCLUDE_MINGW) \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_ICONS) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	-DWIN32 \
	$(HAVES)

######################################################################

# Files files in src/win32/compat

LIB_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/getopt.o \
	$(OBJDIR)/mempool.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/vss.o \
	$(OBJDIR)/vss_XP.o \
	$(OBJDIR)/vss_W2K3.o \
	$(OBJDIR)/vss_Vista.o

######################################################################

# Targets

.PHONY: all clean

all: $(LIBDIR)/libcompat.a

clean:
	@echo "Cleaning `pwd`"
	$(ECHO_CMD)rm -f $(OBJDIR)/*.[od] $(LIBDIR)/libcompat.a

#
# Rules
# 

$(LIBDIR)/libcompat.a: $(LIB_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(AR) rs $@ $^

include ../Makefile.rules

ifneq ($(MAKECMDGOALS),clean)
include $(patsubst %.o,%.d,$(filter-out %.res,$(LIB_OBJS)))
endif

=== src/win32/lib/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES)

vpath %.c $(BUILDDIR)/compat
vpath %.cpp $(BUILDDIR)/compat

######################################################################

# Files files in src/lib

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

#	$(OBJDIR)/getopt.o \

FIND_OBJS = 

LIB_OBJS = 

DLL_OBJS = \
	$(COMPAT_OBJS) $(FIND_OBJS) $(LIB_OBJS)

STATIC_OBJS = 

ALL_OBJS = \
	$(DLL_OBJS) $(STATIC_OBJS)

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/burp.dll $(LIBDIR)/libburp.a

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/burp.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/burp.a $(LIBDIR)/libburp.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

$(LIBDIR)/libburp.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libburp.a: $(BINDIR)/burp.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/burp.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/burp.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/burp.dll: $(DLL_OBJS) burp$(WIN_VERSION).def
	@echo "Linkinga $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/burp.a $^ $(LIBS_DLL) -o $@

include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $(CXX) $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== src/win32/libburp/Makefile ===
#
# Makefile for win32 burp executables
# Using MinGW cross-compiler on GNU/Linux

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_GCC) \
	$(INCLUDE_MINGW) \
	$(INCLUDE_BURP) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_VSS) \
	$(INCLUDE_ICONS) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	-DWIN32 \
	$(HAVES)

######################################################################

# Files files in src/lib

LIB_OBJS = 

######################################################################

# Targets

.PHONY: all clean

all: $(LIBDIR)/libburp.a

clean:
	@echo "Cleaning `pwd`"
	$(ECHO_CMD)rm -f $(OBJDIR)/*.[od] $(LIBDIR)/libburp.a

#
# Rules
# 

$(LIBDIR)/libburp.a: $(LIB_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(AR) rs $@ $^

include ../Makefile.rules

ifneq ($(MAKECMDGOALS),clean)
include $(patsubst %.o,%.d,$(filter-out %.res,$(LIB_OBJS)))
endif

=== debian/changelog ===
burp (1.3.48-4) unstable; urgency=high

  * Include "autotools-dev" addon for dh in debian/rules to allow
    config.{sub,guess} to be regenerated. (Closes: #743873)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Mon, 07 Apr 2014 19:39:01 +0200

burp (1.3.48-3) unstable; urgency=medium

  * Add missing "exit 0" statement in debian/init. (Closes: #742218)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sat, 05 Apr 2014 11:01:59 +0200

burp (1.3.48-2) unstable; urgency=low

  * Add patch to fix pointer casting in src/msg.c:transfer_gzfile_in
    to fix FTBFS on 64-bit big-endian architectures (Closes: #740505):
    - debian/patches/endian.patch
  * Replace debian/patches/disable_tests.patch with debian/patches/fixskiptest,
    so that only test 6 and 7 are skipped when there is no PRNG available.
  * Add patch for the test function wait_for_backup_to_finish to check
    for the existance of /var/spool/burp/testclient/lockfile instead
    of the symlinks /var/spool/burp/testclient/{working,finishing}
    (Closes: #740547):
    - debian/patches/wait_for_backup_to_finish.patch
  * Now using autoreconf for better portability:
    - Change dh $@ to dh $@ --with autoreconf in debian/rules file.
    - Add dependency on dh-autoreconf in debian/control.
  * Change dh_verbose to 1 to solve compiler-flags-hidden warnings in
    debian/rules file.
  * Remove obsolete overrides in rules file:
    - override_dh_auto_install
    - override_dh_install
    - override_dh_installdocs
  * Using dh_auto_configure instead of just running ./configure with the
    following options in debian/rules:
    - prefix /usr
    - sysconfdir /etc/burp
    - sbindir $${prefix}/sbin
    - mandir $${prefix}/share/man
    - C/CPP/LD flags uses exported build flags
  * Add debian/burp.install and debian/burp.dirs.

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Mon, 03 Mar 2014 15:54:28 +0100

burp (1.3.48-1) unstable; urgency=low

  * New upstream release.
    - Fix long delay in init script when the stop function is
      invoked. (Closes: #687523)
    - Add missing compiler and linker flags on armel, armhf, i386,
      kfreebsd-amd64, powerpc and s390 architectures. (Closes: #675368)
    - Fix bedup crashing with exit status 139. (Closes: #715678)
    - Fix restoring of correct file times on Windows clients.

  * Bump Standards-Version to 3.9.5.0:
    - Add dependency on initscripts (>= 2.88dsf-13.3).
  * Add Vcs-Browser field to debian/control.
  * Bump dephelper version to 9:
    - Fixes lintian reports about missing hardening of
      binaries ("hardening-no-relro"). (Closes: #735128)
  * Update address of FSF in debian/copyright. (Closes: #735129)
  * Change copyright for files in debian/ from GPL-2 to AGPL-3.
  * Add upstream patch to disable compile-time test when no
    PRNG is available: (Closes: #675761)
    - debian/patches/disable_tests.patch
  * Add patch to display a list of available log files
    when one or more compile-time tests have failed:
    - debian/patches/showlogs.patch
  * Adjust debian/watch file to track stable 1.3.x releases only,
    the experimental 1.4.x releases are ignored.

  * Changes in burp 1.3.46:
    - Another bug fix for false failure notification - differentiate between
      not getting a lock and getting an error when trying to get a lock.
    - Turn off excessive logging on some restores.
  * Changes in burp 1.3.44:
    - Fix false failure notification when a client tries
      to connect again while a backup is still in progress.
  * Changes in burp 1.3.42:
   - In backup phase 4, a 'deleteme' directory may already exist if the server
     was previously interrupted whilst deleting it. If so, delete it before
     attempting to rename anything to it.
  * Changes in burp 1.3.40:
   - Make the server request the whole file when ctime changes on Windows,
     otherwise changes to metadata will not be registered when the file
     contents are unchanged.
   - Add 'delete' to the client help output.
   - When backing up, open files and directories with O_NOATIME flag so that the
     access time is not changed.
   - Fix missing failure notification when the backup directory
     cannot be created.
  * Changes in burp 1.3.38:
   - Fix long list and status monitor output when a directory argument is given.
   - Fix restore problem with backups containing both compressed and
     uncompressed files.
   - Fix interrupted backups triggering a resume when a restore_client connects.
   - Fix defaulting 'resume partial' to off.
  * Changes in burp 1.3.36:
   - Fix truncation of timestamps in the live status monitor.
   - Default the 'resume partial' feature to being off, and add an option to
     turn it on.
  * Changes in burp 1.3.34:
   - Contributions from Avi Rozen:
     + Major autoconf cleanup.
     + Initial support for cross-building Android targets.
   - On the server, indicate where logging is occurring.
   - Fix bedup segfaulting when using -m with no argument.
  * Changes in burp 1.3.32:
   - Fix status monitor segfault.
   - Run timed backups with lower thread priority on Windows.
   - Add 'vss_drives' option, which gives the ability to specify which Windows
     drives get a VSS snapshot.
  * Changes in burp 1.3.30:
   - Add a warning when run on Windows without admin privileges.
   - Perform fewer lstat()s on systems that support d_type (i.e. most
     Linux systems) in order to speed up certain operations.
   - Allow _FORTIFY_SOURCE to work.
   - Fix problem with burp_ca.bat and repeated field names in burp.conf.
   - Put registry keys back into the Windows installer.
   - Fix for SIGHUP reload causing the server to go into non-forking mode.
   - Mark backups which can be deleted.
   - Add a client option for deleting backups which can be deleted.
   - Add a 'client_can_delete' option on the server.
   - Fix for using the wrong lock directory when 'directory' is
     overridden for a client.
  * Changes in burp 1.3.28:


=== debian/control ===
Source: burp
Section: utils
Priority: extra
Maintainer: Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, libncurses5-dev, libssl-dev, zlib1g-dev,
               librsync-dev, libacl1-dev, libattr1-dev, uthash-dev, openssl
Standards-Version: 3.9.5.0
Homepage: http://burp.grke.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/burp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/burp.git;a=summary

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

Package: burp-dbg
Architecture: any
Section: debug
Depends: burp (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Burp
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.
 .
 This package contains the debugging symbols for burp.

=== debian/watch ===
version=3
http://sf.net/burp/burp-(1.3.\d\S*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## burp 1.4.40

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	$(OBJDIR)/extrameta.o \
 	$(OBJDIR)/find.o \
 	$(OBJDIR)/forkchild.o \
+	$(OBJDIR)/glob_windows.o \
 	$(OBJDIR)/incexc_recv.o \
 	$(OBJDIR)/incexc_send.o \
 	$(OBJDIR)/list_client.o \

=== debian/changelog ===
burp (1.4.40-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS on 32-bit archs (Closes: #835036).
  * Use restart not reload in logrotate, as the latter doesn't reopen the
    log file (Closes: #753557).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 25 Sep 2016 06:41:13 +0200

burp (1.4.40-2) unstable; urgency=medium

  * QA upload.
  * Remove lock.patch from d/patches/series.
    The burp 2.0.x series test suite fails when this patch is applied.
    Please see commentary in #747672, which has been re-opened.
  * Watch file now tracks 1.4.x series instead of old 1.3.x series.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Jun 2016 14:46:32 +0900

burp (1.4.40-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #820400).
  * Package new upstream release (Closes: #774715) (LP: #1515876).
    Upstream identifies version 1.4.40 as their "stable" release.
  * Apply patch from Svante Signell to fix build on the GNU Hurd
    (Closes: #675761, #747672).
  * Add Recommends: openssl (Closes: #745376).
  * Drop dpkg buildflags export from d/rules.
    Not needed at debhelper compat 9.
  * Drop build dependency on autotools-dev & dh --with entry.
    Current debhelper has dh_update_autotools_config.
  * Drop several unneeded flags & vars in override_dh_auto_configure target.
  * Drop duplicate DH_VERBOSE setting in d/rules.
  * Add dh's --parallel flag.
  * Repair d/copyright:
    - Move 'Files: *' paragraph to the top of the file
    - Move src/win32/compat/getopt.c and src/win32/compat/sys/mtio.h
      paragraphs to end of file
    - Add myself to copyright for debian/ subdir
    - Correct invalid shortname agplv3 -> AGPL-3
    - Factor out AGPL-3 license to a License: paragraph.
    - Correct invalid shortname Troy D. Hanson License -> custom1
    - Correct copyright years for src/win32/compat/sys/mtio.h
    - Correct some indentation and trailing whitespace
  * Replace burp-dbg with automatically generated burp-dbgsym.
    - Drop obsolete rules target override_dh_strip.
    - Drop obsolete burp.install.
    - Drop obsolete burp.dirs.
    - Drop obsolete burp-dbg.maintscript.
  * Drop endian.patch.
    Merged upstream.
  * Drop wait_for_backup_to_finish.patch.
    Merged upstream.
  * Refresh a patch.
  * Bump standards version to 3.9.8 (no changes required).
  * Update Vcs-* URIs.
  * Add gbp.conf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jun 2016 20:14:09 +0900

burp (1.3.48-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * New burp-dbg.mainscript with symlink_to_dir (Closes: #768247)
    /usr/share/doc/burp-dbg was a symlink to burp up to 1.3.48-1, real dir in
    1.3.48-2.
  * debian/control: Add burp-dbg Pre-Depends: ${misc:Pre-Depends} for
    maintscript.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sat, 15 Nov 2014 20:17:29 +0000

=== debian/control ===
Source: burp
Section: utils
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libncurses5-dev, libssl-dev, zlib1g-dev,
               librsync-dev, libacl1-dev, libattr1-dev, uthash-dev, openssl
Standards-Version: 3.9.8
Homepage: http://burp.grke.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/burp.git -b debian
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/burp.git

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openssl
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --sysconfdir=/etc/burp --sbindir=\$${prefix}/sbin

override_dh_fixperms:
	dh_fixperms
	chmod 0600 debian/burp/etc/burp/burp.conf
	chmod 0600 debian/burp/etc/burp/burp-server.conf
	chmod 0700 debian/burp/etc/burp/clientconfdir
	chmod 0700 debian/burp/var/spool/burp
